Subject: RE: Pre-picking one solution (Re: [ietf-dkim] Re: WG Review: DomainKeys Identified Mail) (dkim) {4.2}

From: "Patrick Peterson" <[email-masked]>
Date: Thu, 22 Dec 2005 13:38:38 -0800

> I think this is part of "divide and conquer" that is 
> generally argued to be 
> an useful strategy in the IETF: once we buckle down and start writing 
> specs, we're documenting one approach, with one set of advantages and 
> disadvantages, and are trying to prove that *this approach* 
> is feasible. We 
> did that to (I believe) OSPF, IPNG after the "pick one" 
> round, PKIX (vs 
> SPKI), IM when it was split into SIMPLE and the 2 
> alternatives (with XMPP 
> being a late 4th) and so on. Each of these groups could 
> regard the "what 
> are the alternatives" question as out of scope.
> 
> I think that's a good way to get things out the door in a reasonable 
> timeframe; I also think that the IETF at the moment lacks 
> venues for the 
> (probably interminable) discussions about what approaches to 
> a problem 
> exists and whether there are non-chartered alternatives that 
> are worth 
> following up - but I think the approach of chartering a WG to 
> look at one 
> and only one approach is a reasonable one.

Well said, I agree completely.

pat

_______________________________________________
ietf-dkim mailing list
http://dkim.org